Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# treednd.hh File Reference

A GtkTreeDragSource and GtkTreeDragDest C++ wrapper interface. More...

`#include <xfc/glib/type.hh>`
`#include <gtk/gtktreednd.h>`
`#include <xfc/gtk/inline/treednd.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Gtk

## Classes

- class Xfc::Gtk::TreeDragSource
    A GtkTreeDragSource C++ wrapper class. More...
- class Xfc::Gtk::TreeDragDest
    A GtkTreeDragDest C++ wrapper class. More...

## Detailed Description

A GtkTreeDragSource and GtkTreeDragDest C++ wrapper interface.

Provides TreeDragSource and TreeDragDest interfaces for drag-and-drop support in Gtk::TreeView.
Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3